# Class DocumentAttributes

#### Hierarchy

- XmlAttributeComponent<IDocumentAttributesProperties>
  - DocumentAttributes

- Defined in src/file/document/document-attributes.ts:47

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new DocumentAttributes(properties: IDocumentAttributesProperties): DocumentAttributes

- #### Parameters

  - ##### properties: IDocumentAttributesProperties

  #### Returns DocumentAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc